Subject: Re: Bash puzzle: Spaces, environment variables and tab completion
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 4 Dec 2002 11:36:51 +0200

> 
> What I want to do is define an environment
> variable so I can easily cd or ls.  E.g.
> % PF="/cygdrive/c/Program Files"
> % cd $PF
> % ls $PF/Games
> % ls $PF/G<tab completion!>
> 
> The above is close, I can
> % cd "$PF"; ls "$PF"/Games; and even
> ls "$PF"/G<tab> however, the quotes are clunky.

That's the bash way. You can get omit the enclosing quotes if you
change the IFS environment variable like this IFS="".
Note that this may harm execution of your commands/scripts. Read
the bash man page for more information.

My (bypass) solution to your problem is to make a symlink to the
desired directory without spaces in it and use that file name.
e.g. ln -s "/cygdrive/c/Program Files" ~/PF

The advantage of this "bypass" is that you can use the symlink in
scripts without defining the environment variable for each one.

Ehud.

-- 
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7966-667  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 mailto:[email-masked]                  Better  Safe  Than  Sorry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/